DROP VIEW I_HELP_VIEW
GO
CREATE VIEW I_HELP_VIEW(ZZZZ_LANG,ZZZZ_JOB,ZZZZ_SEQ,ZZZZ_CALL,ZZZZ_HELP)
  AS SELECT CAST(CASE ZZZZ_LANG WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_LANG)END AS CHAR(2))
  ,CAST(CASE ZZZZ_JOB WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_JOB)END AS CHAR(10)),ZZZZ_SEQ
  ,CAST(CASE ZZZZ_CALL WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_CALL)END AS CHAR(10))
  ,CAST(CASE ZZZZ_HELP WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_HELP)END AS NCHAR(61))
  FROM ZZZZ_I_HELP_TABLE
  WHERE Z_CANCEL=' ' AND 
  (ZZZZ_JOB =    'ZZZZ000000' OR 
   ZZZZ_JOB LIKE 'ZZZZ0100%' OR 
   ZZZZ_JOB LIKE 'ZZZZ0101%' OR 
   ZZZZ_JOB LIKE 'ZZZZ0102%' OR
   ZZZZ_JOB LIKE 'ZZZZ0103%' OR
   ZZZZ_JOB LIKE 'ZZZZ0104%' OR 
   ZZZZ_JOB LIKE 'ZZZZ0105%' OR
   ZZZZ_JOB LIKE 'ZZZZ0107%' OR
   ZZZZ_JOB LIKE 'ZZZZ40%' OR 
   ZZZZ_JOB LIKE 'ZZZZ99975%' OR 
   ZZZZ_JOB LIKE 'ZZZZ99976%' OR 
   ZZZZ_JOB LIKE 'ZZZZ99985%' OR 
   ZZZZ_JOB LIKE 'ZZZZ99986%' OR 
   ZZZZ_JOB LIKE 'ZZZZ99995%' OR  
   ZZZZ_JOB LIKE 'ZZZZ99996%' )  
GO
GRANT  SELECT ON I_HELP_VIEW  TO PUBLIC
GO
DROP VIEW I_MENU_VIEW
GO
CREATE VIEW I_MENU_VIEW  
  (ZZZZ_LANG,ZZZZ_MENU0,ZZZZ_MENU1,ZZZZ_MENU2,ZZZZ_MENU3
  ,ZZZZ_PROGRAM_KIND,ZZZZ_PERMISSION,ZZZZ_SECURITY,ZZZZ_TEST,ZZZZ_COPY1,ZZZZ_COPY2,ZZZZ_COPY3,ZZZZ_COPY4,ZZZZ_COPY5,ZZZZ_MENU)
  AS SELECT CAST(CASE ZZZZ_LANG WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_LANG)END AS CHAR(2))
  ,CAST(CASE ZZZZ_MENU0 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_MENU0)END AS CHAR(4))
  ,CAST(CASE ZZZZ_MENU1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_MENU1)END AS CHAR(2))
  ,CAST(CASE ZZZZ_MENU2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_MENU2)END AS CHAR(2))
  ,CAST(CASE ZZZZ_MENU3 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_MENU3)END AS CHAR(2))
  ,CAST(CASE ZZZZ_PROGRAM_KIND WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_PROGRAM_KIND)END AS CHAR(6))
  ,CAST(CASE ZZZZ_PERMISSION WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_PERMISSION)END AS CHAR(4))
  ,CAST(CASE ZZZZ_SECURITY WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_SECURITY)END AS CHAR(1))
  ,CAST(CASE ZZZZ_TEST WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_TEST)END AS CHAR(4))
  ,CAST(CASE ZZZZ_COPY1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_COPY1)END AS CHAR(10))
  ,CAST(CASE ZZZZ_COPY2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_COPY2)END AS CHAR(10))
  ,CAST(CASE ZZZZ_COPY3 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_COPY3)END AS CHAR(10))
  ,CAST(CASE ZZZZ_COPY4 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_COPY4)END AS CHAR(10))
  ,CAST(CASE ZZZZ_COPY5 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_COPY5)END AS CHAR(10))
  ,CAST(CASE ZZZZ_MENU WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_MENU)END AS NCHAR(30))
  FROM ZZZZ_I_MENU_TABLE WHERE Z_CANCEL=' '
  AND ZZZZ_MENU0='ZZZZ' 
  AND(ZZZZ_MENU1 IN('99') AND ZZZZ_MENU2 IN('97','98','99') AND ( ZZZZ_MENU3 LIKE '5%' OR ZZZZ_MENU3 LIKE '6%' ) 
  OR ZZZZ_MENU1='01' AND ZZZZ_MENU2 IN('00','01','02','03','04','05','07') OR ZZZZ_MENU1='40') 
GO
GRANT  SELECT ON I_MENU_VIEW  TO PUBLIC
GO
DROP   VIEW I_PROGRAM_VIEW
GO
CREATE VIEW I_PROGRAM_VIEW(ZZZZ_JOB,ZZZZ_SEQ,ZZZZ_PROGRAM)
 AS SELECT CAST(CASE ZZZZ_JOB WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_JOB)END AS CHAR(10)),ZZZZ_SEQ
 ,CAST(CASE ZZZZ_PROGRAM WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_PROGRAM)END AS NCHAR(61))
 FROM ZZZZ_I_PROGRAM_TABLE
  WHERE Z_CANCEL=' ' AND 
 (ZZZZ_JOB LIKE 'ZZZZ0101%' OR 
  ZZZZ_JOB LIKE 'ZZZZ0102%' OR
  ZZZZ_JOB LIKE 'ZZZZ0103%' OR
  ZZZZ_JOB LIKE 'ZZZZ0104%' OR 
  ZZZZ_JOB LIKE 'ZZZZ0105%' OR   
  ZZZZ_JOB LIKE 'ZZZZ0107%' OR   
  ZZZZ_JOB LIKE 'ZZZZ40%' OR 
  ZZZZ_JOB LIKE 'ZZZZ99975%' OR 
  ZZZZ_JOB LIKE 'ZZZZ99976%' OR 
  ZZZZ_JOB LIKE 'ZZZZ99985%' OR 
  ZZZZ_JOB LIKE 'ZZZZ99986%' OR 
  ZZZZ_JOB LIKE 'ZZZZ99995%' OR 
  ZZZZ_JOB LIKE 'ZZZZ99996%') 
  
GO
GRANT  SELECT ON I_PROGRAM_VIEW  TO PUBLIC
GO
DROP   VIEW I_DICTIONARY_VIEW
GO
CREATE VIEW I_DICTIONARY_VIEW(ZZZZ_DATA_NAME,ZZZZ_LANG,ZZZZ_BASE_DATA_NAME,ZZZZ_TITLE,ZZZZ_MESSAGE,ZZZZ_COMMENT1,ZZZZ_COMMENT2
,ZZZZ_TEST,ZZZZ_DEFAULT_TYPE,ZZZZ_DEFAULT_LENGTH1,ZZZZ_DEFAULT_LENGTH2
,ZZZZ_TYPE1,ZZZZ_TYPE2,ZZZZ_LENGTH1,ZZZZ_LENGTH2
,ZZZZ_CHECK,ZZZZ_CHECK61,ZZZZ_CHECK62,ZZZZ_CHECK63,ZZZZ_CHECK64,ZZZZ_CHECK65,ZZZZ_CHECK66)
 AS SELECT CAST(CASE ZZZZ_DATA_NAME WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_DATA_NAME)END AS NCHAR(30)) 
          ,CAST(CASE ZZZZ_LANG WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_LANG)END AS CHAR(2))
          ,CAST(CASE ZZZZ_BASE_DATA_NAME WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_BASE_DATA_NAME)END AS NCHAR(30)) 
          ,CAST(CASE ZZZZ_TITLE WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_TITLE)END AS NCHAR(30))
          ,CAST(CASE ZZZZ_MESSAGE WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_MESSAGE)END AS NCHAR(70))
          ,CAST(CASE ZZZZ_COMMENT1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_COMMENT1)END AS NCHAR(80))
          ,CAST(CASE ZZZZ_COMMENT2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_COMMENT2)END AS NCHAR(80))
          ,CAST(CASE ZZZZ_TEST WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_TEST)END AS CHAR(4))
          ,CAST(CASE ZZZZ_DEFAULT_TYPE WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_DEFAULT_TYPE)END AS CHAR(9))
          ,ZZZZ_DEFAULT_LENGTH1,ZZZZ_DEFAULT_LENGTH2
          ,CAST(CASE ZZZZ_TYPE1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_TYPE1)END AS CHAR(1))
          ,CAST(CASE ZZZZ_TYPE2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_TYPE2)END AS CHAR(1))
          ,ZZZZ_LENGTH1,ZZZZ_LENGTH2
          ,CAST(CASE ZZZZ_CHECK WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_CHECK)END AS CHAR(9))
          ,CAST(CASE ZZZZ_CHECK61 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_CHECK61)END AS NCHAR(54))
          ,CAST(CASE ZZZZ_CHECK62 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_CHECK62)END AS NCHAR(54))
          ,CAST(CASE ZZZZ_CHECK63 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_CHECK63)END AS NCHAR(54))
          ,CAST(CASE ZZZZ_CHECK64 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_CHECK64)END AS NCHAR(54))
          ,CAST(CASE ZZZZ_CHECK65 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_CHECK65)END AS NCHAR(54))
          ,CAST(CASE ZZZZ_CHECK66 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_CHECK66)END AS NCHAR(54))
 FROM ZZZZ_I_DICTIONARY_TABLE WHERE Z_CANCEL=' '
 AND(ZZZZ_DATA_NAME LIKE 'ZZZZ%' OR ZZZZ_DATA_NAME LIKE 'Z[_]%')
/*     OR ZZZZ_DATA_NAME LIKE 'ZZZY[_]ZZ[_]MODEL[_]%') */
GO
GRANT  SELECT ON I_DICTIONARY_VIEW  TO PUBLIC
GO
DROP   VIEW I_PRINT_VIEW
GO
CREATE VIEW I_PRINT_VIEW(ZZZZ_PRINT,ZZZZ_SEQ,ZZZZ_PRINT_DATA)
AS SELECT CAST(CASE ZZZZ_PRINT WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_PRINT)END AS NCHAR(20))
          ,ZZZZ_SEQ
          ,CAST(CASE ZZZZ_PRINT_DATA WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_PRINT_DATA)END AS NCHAR(60))
   FROM ZZZZ_PRINT_TABLE WHERE Z_CANCEL=' ' AND ZZZZ_PRINT LIKE 'ZZZZ_SAMPLE%' 
GO
GRANT  SELECT ON I_PRINT_VIEW  TO PUBLIC
GO
DROP   VIEW I_ETC_VIEW
GO
CREATE VIEW I_ETC_VIEW(ZZZZ_KEY1,ZZZZ_KEY2,ZZZZ_ETC,ZZZZ_COMMENT)
AS SELECT CAST(CASE ZZZZ_KEY1 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_KEY1)END AS CHAR(20))
         ,CAST(CASE ZZZZ_KEY2 WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_KEY2)END AS CHAR(30))
         ,CAST(CASE ZZZZ_ETC WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_ETC)END AS NCHAR(50))
         ,CAST(CASE ZZZZ_COMMENT WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_COMMENT)END AS NCHAR(50))
   FROM ZZZZ_ETC_TABLE WHERE Z_CANCEL=' ' AND (ZZZZ_KEY1='ZZZZ_PROGRAM' OR ZZZZ_KEY1='ZZZZ_COPY' OR ZZZZ_KEY1='ZZZZ_OBJECT_SAMPLE') 
GO
GRANT  SELECT ON I_ETC_VIEW  TO PUBLIC
GO
DROP   VIEW I_OBJECT_VIEW
GO
CREATE VIEW I_OBJECT_VIEW(ZZZZ_KIND,ZZZZ_NAME,ZZZZ_SEQ,ZZZZ_COM,ZZZZ_SIGN,ZZZZ_OBJECT)
AS SELECT CAST(CASE ZZZZ_KIND   WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_KIND)END AS CHAR(5))
         ,CAST(CASE ZZZZ_NAME   WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_NAME)END AS NCHAR(30))
         ,ZZZZ_SEQ
         ,CAST(CASE ZZZZ_COM    WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_COM)END  AS CHAR(1))
         ,CAST(CASE ZZZZ_SIGN   WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_SIGN)END AS CHAR(1))
         ,CAST(CASE ZZZZ_OBJECT WHEN ' ' THEN ' ' ELSE RTRIM(ZZZZ_OBJECT)END AS NCHAR(59))
   FROM ZZZZ_I_OBJECT_TABLE WHERE Z_CANCEL=' '
   AND ZZZZ_NAME IN('ZZZZ_DAY_CHAR_FUNC','ZZZZ_DAY_DATE_FUNC'
                     ,'ZZZZ_WEEK_CHAR_FUNC','ZZZZ_WEEK_DATE_FUNC')
GO
GRANT  SELECT ON I_OBJECT_VIEW  TO PUBLIC
GO
